
QGIS Application - Bug report #17206

Unable to add GeoJSON URI via Source type: Protocol

2017-09-27 05:36 PM - joe larson

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25105

Description

In qgis-dev when adding a Vector layer with the Data Source Manager, Source type: Protocol, Type GeoJSON ...after providing a URI, it

appears the 'Add' or 'Ok' buttons are not clickable. I have seen this in qgis-dev on Windows 7, Windows 10, and macOS 10.12.6.

Associated revisions

Revision df0d717f - 2017-10-18 02:51 AM - Nyall Dawson

Fix disabled add button in ogr source select for valid protocols

Fixes #17206

History

#1 - 2017-09-27 05:54 PM - joe larson

- Operating System changed from Windows 10, macOS 10.12.6 to Windows 7, Windows 10, macOS 10.12.6

- Description updated

#2 - 2017-09-27 10:39 PM - Giovanni Manghi

- Operating System deleted (Windows 7, Windows 10, macOS 10.12.6)

- Category changed from Unknown to Vectors

- Priority changed from Normal to High

- Regression? changed from No to Yes

Confirmed and confirmed working on 2.18

URI tested: http://sgillies.github.io/syriaca/syriaca.json

#3 - 2017-10-18 02:56 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|df0d717f928e0d8b7ceb7edfb69bee09266e29c7.
